#pragma once

#include <sys/time.h>

namespace jf {
class Timer {
   private:
    /* data */
   public:
    // Timer(/* args */);
    // ~Timer();

    static void substract(const struct timeval *tv1, const struct timeval *tv2, struct timeval *tvres);
    static int compare(const timeval *tv1, const timeval *tv2);
};
}  // namespace jf
